package org.springblade.system.service;

import org.springblade.common.core.domain.R;
import org.springblade.system.domain.ArchivalCatalogueDto;
import org.springblade.system.domain.SelectDto;
import org.springblade.system.domain.vo.ArchivalCatalogueVo;

import java.util.List;

/**
 * @Author：liang.chao
 * @Date：2025/9/9 - 15:23
 */
public interface ArchiveService {
    List<ArchivalCatalogueDto> getArchivalCatalogueTree(ArchivalCatalogueDto dto);

    R saveArchivalCatalogue(ArchivalCatalogueDto dto);
    R saveArchivalCatalogue(ArchivalCatalogueVo vo);

    List<ArchivalCatalogueDto> getArchivalCatalogue(ArchivalCatalogueDto dto);

    R editArchivalCatalogue(ArchivalCatalogueDto dto);
    R editArchivalCatalogue(ArchivalCatalogueVo dto);

    Integer delArchivalCatalogue(ArchivalCatalogueDto dto);

    ArchivalCatalogueDto getArchivalCatalogueById(ArchivalCatalogueDto dto);

    List<SelectDto> getFilesClassifyMarkSelect(ArchivalCatalogueDto dto);

    Integer geMaxSort(String parentId);

    Integer getSortById(Integer id);
}
